package com.zcloud.service.risk.impl;

import com.alibaba.fastjson.JSONObject;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.risk.RiskUnitMapper;
import com.zcloud.service.risk.RiskUnitService;
import com.zcloud.util.HttpClientUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：风险单元
 * 作者：luoxiaobao
 * 时间：2020-12-30
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class RiskUnitServiceImpl implements RiskUnitService {

	@Autowired
	private RiskUnitMapper riskunitMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		riskunitMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		riskunitMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		riskunitMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return riskunitMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return riskunitMapper.listAll(pd);
	}
	public List<PageData> listOut(PageData pd)throws Exception{
		return riskunitMapper.listOut(pd);
	}

	/**列表(首页)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listIndexAll(PageData pd)throws Exception{
		return riskunitMapper.listIndexAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return riskunitMapper.findById(pd);
	}
	/**通过名称获取数据
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData>  findByName(PageData pd)throws Exception{
		return riskunitMapper.findByName(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		riskunitMapper.deleteAll(ArrayDATA_IDS);
	}

	@Override
	public List<PageData> getRisByUnitId(Page page) throws Exception {
		// TODO Auto-generated method stub
		return riskunitMapper.getRisByUnitId(page);
	}


	/**风险分布情况统计（BI页）
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listUnitLevel(PageData pd)throws Exception{
		return riskunitMapper.listUnitLevel(pd);
	}

}

